petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMType

String with the name of a PETSc DM

### Synopsis

    typedef const char* DMType;
    #define DMDA        "da"
    #define DMCOMPOSITE "composite"
    #define DMSLICED    "sliced"
    #define DMSHELL     "shell"
    #define DMPLEX      "plex"
    #define DMCARTESIAN "cartesian"
    #define DMREDUNDANT "redundant"
    #define DMPATCH     "patch"
    #define DMMOAB      "moab"
    #define DMNETWORK   "network"

### See Also

DMSetType(), DM

Level:beginner
Location:src/dm/../../include/petscdm.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages